import 'package:vnoteapp/pages/medical/models/worker.dart';

class MedicalItem {
  MedicalItem({
    required this.diagnosticItem,
    required this.key,
    this.diagnosisData,
    this.diagnosisWorkerStatus = WorkerStatus.connecting,
  });

  /// 诊疗项目
  final String diagnosticItem;

  /// 诊疗key
  final String key;

  /// 诊疗数据
  String? diagnosisData;

  /// 诊疗仪器状态
  WorkerStatus diagnosisWorkerStatus;
}
